package com.sunxung.factoring.entity.steelwaiter;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 钢小二-销售单和验收单关联关系表
 * </p>
 *
 * @author liutao
 * @since 2023-10-29
 */
@TableName("sell_bill_file_ref")
public class SellBillFileRef {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 附件id
     */
    @TableField("file_id")
    private Long fileId;

    /**
     * 钢小二-销售单信息id
     */
    @TableField("sell_bill_id")
    private Long sellBillId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }
    public Long getSellBillId() {
        return sellBillId;
    }

    public void setSellBillId(Long sellBillId) {
        this.sellBillId = sellBillId;
    }

    @Override
    public String toString() {
        return "SellBillFileRef{" +
            "fileId=" + fileId +
            ", sellBillId=" + sellBillId +
        "}";
    }
}
